# 项目相关配置
cpop:
  # 文件路径 示例（ Windows配置W:/WorkSpace/java/uploadPath，Linux配置 /home/baseFramework/uploadPath）
  profile: E:/Cpop/uploadPath
  jwt:
    #白名单
    whiteList: /login,/miniLogin,/getCaptcha,/profile/**,/doc.html,/webjars/**,/favicon.ico,/v2/api-docs/**,/swagger-resources
  gateway:
    rsa-keypair:
      # 公钥文件
      publicKeyFile: E:\Cpop\Cpop-Union\Cpop-Core\src\main\resources\static\keyPair\publicKey
      # 公钥文件
      privateKeyFile: E:\Cpop\Cpop-Union\Cpop-Core\src\main\resources\static\keyPair\privateKey

# DataSource Config
spring:
  application:
    name: Cpop-Jambox-Dev
  datasource:
    url: jdbc:mysql://localhost:3306/cpop-union?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: root
    password: root
  #redis配置
  redis:
    #地址
    host: localhost
    #端口
    port: 6379
    #数据库
    database: 0
    #密码
    password:
    #连接超时
    timeout: 5000
    lettuce:
      pool:
        #
        min-idle: 0
        #
        max-idle: 8
        #
        max-active: 8
        #
        max-wait: -1ms
  data:
    mongodb:
      host: localhost
      port: 27017
      database: cpop-union

server:
  port: 9421
  servlet:
    context-path: /Cpop-Jambox

#Mybatis-Flex
mybatis-flex:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

# springdoc-openapi项目配置
knife4j:
  enable: true
  openapi:
    title: PuPu-OAM开发API
    description: PuPu-OAM开发API
    email:
    concat: DB
    url: https://api.jamboxsys.com
    version: 1.0.0
    license: Apache 2.0
    license-url: https://stackoverflow.com/
    terms-of-service-url: https://api.jamboxsys.com
    group:
      #jambox
      jambox:
        group-name: Jambox
        api-rule: package
        api-rule-resources:
          - com.cpop.jambox